// Code generated by MockGen. DO NOT EDIT.
// Source: backup_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/autodevops/v1"
	grpc "google.golang.org/grpc"
)

// MockBackupServiceClient is a mock of BackupServiceClient interface.
type MockBackupServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockBackupServiceClientMockRecorder
}

// MockBackupServiceClientMockRecorder is the mock recorder for MockBackupServiceClient.
type MockBackupServiceClientMockRecorder struct {
	mock *MockBackupServiceClient
}

// NewMockBackupServiceClient creates a new mock instance.
func NewMockBackupServiceClient(ctrl *gomock.Controller) *MockBackupServiceClient {
	mock := &MockBackupServiceClient{ctrl: ctrl}
	mock.recorder = &MockBackupServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupServiceClient) EXPECT() *MockBackupServiceClientMockRecorder {
	return m.recorder
}

// FetchBackupToProcess mocks base method.
func (m *MockBackupServiceClient) FetchBackupToProcess(ctx context.Context, in *v1.FetchBackupToProcessRequest, opts ...grpc.CallOption) (*v1.FetchBackupToProcessResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "FetchBackupToProcess", varargs...)
	ret0, _ := ret[0].(*v1.FetchBackupToProcessResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchBackupToProcess indicates an expected call of FetchBackupToProcess.
func (mr *MockBackupServiceClientMockRecorder) FetchBackupToProcess(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchBackupToProcess", reflect.TypeOf((*MockBackupServiceClient)(nil).FetchBackupToProcess), varargs...)
}

// UpdateBackup mocks base method.
func (m *MockBackupServiceClient) UpdateBackup(ctx context.Context, in *v1.UpdateBackupRequest, opts ...grpc.CallOption) (*v1.UpdateBackupResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "UpdateBackup", varargs...)
	ret0, _ := ret[0].(*v1.UpdateBackupResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateBackup indicates an expected call of UpdateBackup.
func (mr *MockBackupServiceClientMockRecorder) UpdateBackup(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateBackup", reflect.TypeOf((*MockBackupServiceClient)(nil).UpdateBackup), varargs...)
}

// MockBackupServiceServer is a mock of BackupServiceServer interface.
type MockBackupServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockBackupServiceServerMockRecorder
}

// MockBackupServiceServerMockRecorder is the mock recorder for MockBackupServiceServer.
type MockBackupServiceServerMockRecorder struct {
	mock *MockBackupServiceServer
}

// NewMockBackupServiceServer creates a new mock instance.
func NewMockBackupServiceServer(ctrl *gomock.Controller) *MockBackupServiceServer {
	mock := &MockBackupServiceServer{ctrl: ctrl}
	mock.recorder = &MockBackupServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupServiceServer) EXPECT() *MockBackupServiceServerMockRecorder {
	return m.recorder
}

// FetchBackupToProcess mocks base method.
func (m *MockBackupServiceServer) FetchBackupToProcess(arg0 context.Context, arg1 *v1.FetchBackupToProcessRequest) (*v1.FetchBackupToProcessResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FetchBackupToProcess", arg0, arg1)
	ret0, _ := ret[0].(*v1.FetchBackupToProcessResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FetchBackupToProcess indicates an expected call of FetchBackupToProcess.
func (mr *MockBackupServiceServerMockRecorder) FetchBackupToProcess(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FetchBackupToProcess", reflect.TypeOf((*MockBackupServiceServer)(nil).FetchBackupToProcess), arg0, arg1)
}

// UpdateBackup mocks base method.
func (m *MockBackupServiceServer) UpdateBackup(arg0 context.Context, arg1 *v1.UpdateBackupRequest) (*v1.UpdateBackupResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateBackup", arg0, arg1)
	ret0, _ := ret[0].(*v1.UpdateBackupResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateBackup indicates an expected call of UpdateBackup.
func (mr *MockBackupServiceServerMockRecorder) UpdateBackup(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateBackup", reflect.TypeOf((*MockBackupServiceServer)(nil).UpdateBackup), arg0, arg1)
}

// MockUnsafeBackupServiceServer is a mock of UnsafeBackupServiceServer interface.
type MockUnsafeBackupServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeBackupServiceServerMockRecorder
}

// MockUnsafeBackupServiceServerMockRecorder is the mock recorder for MockUnsafeBackupServiceServer.
type MockUnsafeBackupServiceServerMockRecorder struct {
	mock *MockUnsafeBackupServiceServer
}

// NewMockUnsafeBackupServiceServer creates a new mock instance.
func NewMockUnsafeBackupServiceServer(ctrl *gomock.Controller) *MockUnsafeBackupServiceServer {
	mock := &MockUnsafeBackupServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeBackupServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeBackupServiceServer) EXPECT() *MockUnsafeBackupServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedBackupServiceServer mocks base method.
func (m *MockUnsafeBackupServiceServer) mustEmbedUnimplementedBackupServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedBackupServiceServer")
}

// mustEmbedUnimplementedBackupServiceServer indicates an expected call of mustEmbedUnimplementedBackupServiceServer.
func (mr *MockUnsafeBackupServiceServerMockRecorder) mustEmbedUnimplementedBackupServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedBackupServiceServer", reflect.TypeOf((*MockUnsafeBackupServiceServer)(nil).mustEmbedUnimplementedBackupServiceServer))
}
